Bug 134608 - an invalid connection descriptor that is too large will cause ccsd to kill itself
an invalid connection descriptor that is too large will cause ccsd to kill it...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: ccs (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Earl Brassow
GFS Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-04 18:16 EDT by Corey Marthaler
Modified: 2009-04-16 16:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-17 17:05:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2004-10-04 18:16:21 EDT
Description of problem:
[root@morph-02 bin]# cat /proc/cluster/nodes
Node  Votes Exp Sts  Name
   1    1    5   M   morph-01
   2    1    5   M   morph-03
   3    1    5   M   morph-04
   4    1    5   M   morph-02
   5    1    5   M   morph-05

[root@morph-02 bin]# ccs_test connect
Connect successful.
 Connection descriptor = 0

[root@morph-02 bin]# ccs_test get 0 /cluster/@name
Get successful.
 Value = <morph-cluster>

[root@morph-02 bin]# ccs_test get 3000 /cluster/@name
ccs_get failed: Invalid request descriptor

[root@morph-02 bin]# ccs_test get 50000 /cluster/@name
ccs_get failed: Invalid exchange

From SYSLOG:
Oct  4 17:09:02 morph-02 ccsd[2273]: Stopping ccsd, SIGSEGV received.

[root@morph-02 bin]# pidof ccsd


How reproducible:
Always
Comment 1 Kiersten (Kerri) Anderson 2004-11-04 10:06:53 EST
Updates with the proper version and component name.
Comment 2 Kiersten (Kerri) Anderson 2004-11-04 10:14:46 EST
Updates with the proper version and component name.
Comment 3 Kiersten (Kerri) Anderson 2004-11-04 10:20:06 EST
Updates with the proper version and component name. Again, just love out tools.
Comment 4 Jonathan Earl Brassow 2004-11-16 19:01:35 EST
fixed.  will now return invalid request descriptor
Comment 5 Corey Marthaler 2004-11-17 17:05:07 EST
fix verified. 

Note You need to log in before you can comment on or make changes to this bug.